IMG_3378.jpg=Jack
Sherman_0450.jpg=Sherman
Lucy in her new home.jpg=Lucy in her new home with a new friend!
IMG_2387.JPG=Fancy with her new human in a new home!
P1010575.JPG=Hercules, Cleo, Laika
IMG_0301.JPG=Fancy
P1010566.JPG=Hercules, Cleo, Laika
P1010583.JPG=Hercules
DSCF1433B.JPG=Niko
P1010562.JPG=Hercules and Cleo
P1010536.JPG=Hank
DSCF1431.JPG=Niko
P1010551.JPG=Hercules
IMG_4832.jpg=Jack
P1010535.JPG=Hank
IMG_0762.JPG=Lucy
Marcus#1.JPG=Marcus
P1010539.JPG=Hank
Marcus.JPG=Marcus
Sherman_0453.jpg=Sherman
023.jpg=Hank
IMG_2367.JPG=Fancy with her new owner
IMG_6583.jpg=Jack
P1010550.JPG=Hercules
P1010580.JPG=Hercules
IMG_0757.JPG=Lucy
IMG_0337.JPG=Fancy
IMG_0318.JPG=Fancy
P1010563.JPG=Hercules
DSCF1468xb.JPG=Niko
image001.jpg=Hank
P1010581.JPG=Hercules
P1010565.JPG=Hercules, Cleo, Laika
Neytera .jpg=Neytera
